Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## morfologik.fsa.core
Class FSAMatch

    java.lang.Object
      morfologik.fsa.core.FSAMatch

    public final class FSAMatch

extends java.lang.Object

A result returned from `FSATraversalHelper.matchSequence(byte[], morfologik.fsa.core.FSA.Node)`.

Field Summary
`static int` | `EXACT_MATCH`
`static int` | `NO_MATCH`
`static int` | `PREFIX_FOUND`
`static int` | `PREMATURE_PATH_END_FOUND`
`static int` | `PREMATURE_WORD_END_FOUND`

Constructor Summary
`protected` | `FSAMatch(int result)`
`protected` | `FSAMatch(int result, int mismatchAtIndex, FSA.Node mismatchAtNode)`

Method Summary
`int` | `getMatchResult()`
`int` | `getMismatchIndex()`
`FSA.Node` | `getMismatchNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_MATCH

    public static final int NO_MATCH

See Also:
  Constant Field Values

### EXACT_MATCH

    public static final int EXACT_MATCH

See Also:
  Constant Field Values

### PREMATURE_PATH_END_FOUND

    public static final int PREMATURE_PATH_END_FOUND

See Also:
  Constant Field Values

### PREFIX_FOUND

    public static final int PREFIX_FOUND

See Also:
  Constant Field Values

### PREMATURE_WORD_END_FOUND

    public static final int PREMATURE_WORD_END_FOUND

See Also:
  Constant Field Values

Constructor Detail

### FSAMatch

    protected FSAMatch(int result,
                       int mismatchAtIndex,
                       FSA.Node mismatchAtNode)

### FSAMatch

    protected FSAMatch(int result)

Method Detail

### getMatchResult

    public int getMatchResult()

### getMismatchIndex

    public int getMismatchIndex()

### getMismatchNode

    public FSA.Node getMismatchNode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD